POST api/NTPatientScheduling/SaveClinicalPathwayNote
Request Information
URI Parameters
None.
Body Parameters
CPWNoteDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CaseNumber | integer |
None. |
|
| ClinicalPathwayId | integer |
None. |
|
| NoteText | string |
String length: inclusive between 0 and 4000 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CaseNumber": 2,
"ClinicalPathwayId": 3,
"NoteText": "sample string 4",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:57.8253589-07:00",
"DateUpdated": "2026-08-04T14:25:57.8253589-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfCPWNoteDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | CPWNoteDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CaseNumber": 2,
"ClinicalPathwayId": 3,
"NoteText": "sample string 4",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:57.8253589-07:00",
"DateUpdated": "2026-08-04T14:25:57.8253589-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
},
"totalCount": 3
}